%author Veronica Martinez, The University of Queensland, AIBN
%13-March-2014

% function to estimate mass balanced metabolic fluxes when the knots position 
% are known (to)
function [P,co,SSR,V,C,p,pError]=CalculateValues(S,R,Rr,cm,rm,t,to,tr,stdev,stdevR,K)
[co,P,SSR,pError]=BSplineDMFA(K,S,R,Rr,cm,rm,t,to,tr,stdev,stdevR);
V=[];
C=[];
for i=1:length(t)
    tj=t(i);
    [v,~]=calculatev(K,P,tj,to,pError);
    c=calculateC(co,R,P,tj,to,K);
    V=[V; v'];
    C=[C; c'];
end
p=co;
for i=1:size(P,2)
    p=[p;P(:,i)];
end

