%author Veronica Martinez, The University of Queensland, AIBN
%13-March-2014

%function to estimate fluxes knowing the control points (P) and knots (to)
function [v,Stdv]=calculatev(K,P,tj,to,preError)
N=Nblendfxn(tj,to)';
v=K*P*N;
Stdv=preError*(N.^2);
